# hz-scan-jquery (扫码组件)

### 1、引入钉钉扫码与扫码组件
```
<script src="//g.alicdn.com/dingding/dinglogin/0.0.5/ddLogin.js"></script>
<script src="//cdn.jsdelivr.net/npm/hz-scan-jquery@0.0.2/src/index.js"></script>
```

### 2、使用方法
```
<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width,initial-scale=1.0">
    <script src="//g.alicdn.com/dingding/dinglogin/0.0.5/ddLogin.js"></script>
    <script src="//cdn.jsdelivr.net/npm/hz-scan-jquery@0.0.2/src/index.js"></script>
    <title>demo</title>
  </head>
  <body>
    <div id="scan-demo"></div>
    <script>
      HZScan({
        elementId: 'scan-code',
        clientId: '2b89893566914c1c84b08bb3562c57eb',
        defaultPage: 'http://183.134.104.242:8100',
        redirectUri: 'http://172.16.25.235:8089',
        appKey: 'hz_dingding_login_test_dingoa',
        ddOrigin: 'https://login.dg-work.cn',
      });
    </script>
  </body>
</html>
```

### 3、配置扫码所需参数
参数 | 类型 | 含义 | 是否必传|
--- | --- | --- | --- |---
elementId | String | 组件元素ID | 必传
clientId | String | 接入系统申请的clientId(根据环境不同) | 必传
defaultPage | String | 该值为固定值(根据使用环境不同) | 必传
redirectUri | String | 接入系统的跳转地址 | 必传
appKey | String | 该值为固定值(根据使用环境不同) | 必传
### 注意：
```
如果 redirectUri 为 http://116.62.181.157:81/#review （hash模式）返回携带access_token的地址格式为:
http://116.62.181.157:81/?access_token=44363d8e-141e-4559- bc49-0591a82e2db5#review
的形式，开发获取access_token的时候请注意
```

```
如果扫码不成功返回携带msg的地址格式为:
http://116.62.181.157:81?msg=认证失败，请联系管理员
```

## <span style="color:yellow;">升级2.0</span> 

### 引入组件(只需引入这一个就够了)，参数 appKey、defaultPage 存在变动,已加上参数version=2
```
<script src="//cdn.jsdelivr.net/npm/hz-scan-jquery@0.1.8/src/index.js"></script>
```
